Get rolling release configuration
GET
https://api.vercel.com/v1/projects/{idOrName}/rolling-release/configGet the Rolling Releases configuration for a project. The project-level config is simply a template that will be used for any future rolling release, and not the configuration for any active rolling release.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.rollingRelease.getRollingReleaseConfig({ idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "rollingRelease": { "canaryResponseHeader": "false", "gate": { "action": "pause", "checks": [ { "excludePaths": [], "excludeStatusCodes": [], "ingestWatermarkSeconds": "30", "significanceLevel": "0.05", "type": "error-rate-5xx" } ], "dryRun": "false", "enabled": "false", "failureThreshold": "3", "windowSize": "5" }, "stages": [ { "duration": "600", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" } ], "target": "production" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error